@echo off

cd ..
call .\setEnv.bat

set CLASSPATH=%NMS_CLASSES%;%XML_CLASSPATH%;%DB_CLASSPATH%;%NMS_CLASSES%\ApiUtils.jar

if "test"=="%1test" goto default

%JAVA_HOME%\bin\java -Dmysql.home=%MYSQL_HOME% -Dwebnms.rootdir=%NMS_HOME% jdbc.DropSchema %1 %2 %3 %4
cd bin

goto end

:default
%JAVA_HOME%\bin\java -Dmysql.home=%MYSQL_HOME% com.adventnet.launcher.nms.ReinitializeAll -ROOT_DIR %NMS_HOME% -NMS_RESOURCE_DIRECTORY %NMS_HOME%\html -RESOURCE_PROPERTIES ReinitializeNmsResources -RESOURCE_LOCALE en_US

cd bin

:end
